#ifndef DIALOGCHARGINGPROFILEEDIT_H
#define DIALOGCHARGINGPROFILEEDIT_H

#include <QDialog>
#include <QLabel>

#include "DataTypeDef.h"

namespace Ui {
class DialogChargingProfileEdit;
}

class DialogChargingProfileEdit : public QDialog
{
    Q_OBJECT

public:
    explicit DialogChargingProfileEdit(QWidget *parent = nullptr);
    ~DialogChargingProfileEdit();

    void clear();

    charging_profiles_detail_info_t getChargingProfile();

private:
    void initWidget();
    void initConnect();
    void initComboBox();
    void initConnectorIdComboBox();
    void initStackLevelComboBox();
    void initPurposeComboBox();
    void initKindComboBox();
    void initRecurrencyKindComboBox();

    void refreshData();

    void setBackground();
    void centerWindow();

protected:
    void showEvent(QShowEvent* event) override;

private:
    Ui::DialogChargingProfileEdit *ui;
    QLabel* m_background;
};

#endif // DIALOGCHARGINGPROFILEEDIT_H
